#!/usr/bin/env python
import coral
from coral.lgen.smd2lang import *

M = coral.loadModel("../../lang/ESMD10/def/ESMD10.xmi")

L = smd2lang(M)

le = L.getElement("LanguageEditor")
pe = L.getElement("PropertyEditor")
p_pe = le.getPropertyByName("propertyEditor")
p_le = pe.getPropertyByName("languageEditor")

assert(p_le.getOppositeProperty() is not None)
assert(p_pe.getOppositeProperty() is not None)

